Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ibfind

## Name

ibfind -- open a board or device (board or device)

## Synopsis

    #include <gpib/ib.h>

``int ibfind`(const char *name);`

## Description

ibfind() returns a board or device descriptor based on the information found in the configuration file. To suppress error messages printed to stderr by ibfind() set the evironment variable IB_NO_ERROR before calling the routine. It is not required to use ibfind(), since device descriptors can be obtained with ibdev() and the 'board index' (minor number in the configuration file) can be used directly as a board descriptor.

## Return value

If sucessful, returns a (non-negative) board or device descriptor. On failure, -1 is returned.

Prev | Home | Next
ibevent | Up | ibgts